Subject: [Sip] Is Retry-After:0 valid?

From: "Brett Tate" <[email-masked]>
Date: Fri, 16 Jan 2004 19:13:58 -0500

(Trying the sip list because I did not
receive any reply concerning my 
sip-implementors posting...)

Is 0 a valid value for the retry-after header?

I assume that it is; and the bnf allows it.
However I guess that it depends upon the meaning 
of "positive" in section 20.33 and if the 
"between" statement of section 14.2 is inclusive.

RFC3261 section 20.33 mentions the following:
 "The value of this field is a positive integer
  number of seconds (in decimal) after the time 
  of the response."

RFC3261 section 14.2 mentions the following:
 "MUST include a Retry-After header field with a
  randomly chosen value of between 0 and 10 seconds."

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip